Which browsers / versions does Brightidea support?


Brightidea is a Web-based SaaS (software as a service) application that runs in a Web browser. We support the following Web browsers running on Windows or Mac OS X.

  • Google Chrome (latest version recommended)
  • Mozilla Firefox (latest version recommended)
  • Apple Safari (latest version recommended)
  • Microsoft Internet Explorer:
    • Internet Explorer 11 for all features
    • Support for IE9/10 ended September 30th, 2017
      • Note:
        • Please see Microsoft’s statement of end of support for Internet Explorer 9 and 10 as of January 2016 here
        • 'Compatibility View/Mode' is not supported in any version of IE.
        • Microsoft Edge is not supported but is reported to work well.

Important Notes:

  • TLS v1.1 or above must be enabled as of July 1st, 2017 in an effort to maintain the highest security standards and promote the safety of Brightidea customer data.
    • In order to align with industry best practices for security and data integrity, Brightidea Support for TLS 1.0 ends July 1st, 2017
    • This applies to IE 9 and 10 only since other browsers don’t use TLS 1.0.
      • Internet Explorer 10 and below users will need to be configured to allow TLS 1.1:
        1. Go to Tools and select Internet Options
        2. Select the Advanced tab in Internet Options
        3. Enable (check) "Use TLS 1.1" and "Use TLS 1.2"
        4. Click OK
    • Any custom API applications will not be able to access the Brightidea API if they do not support TLS 1.1 or above. Such applications must be upgraded as well.
  • JavaScript and cookies must be enabled in all browsers for proper function of Brightidea pages.
  • In general, any standard compliant browser released in the past three years should work fine.
Was this article helpful?
1 out of 1 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk